package com.example.smart119

import android.app.Application
import android.util.Log

class App : Application() {
    companion object {
        lateinit var instance: App
            private set
    }

    override fun onCreate() {
        super.onCreate()
        Log.d("App", "App.onCreate 실행됨")
        registerActivityLifecycleCallbacks(GlobalActivityTracker)
        instance = this
    }
}